#pragma once

// Core

#include "Serial/Commands/SerialEchoCommand.h"
#include "Serial/Commands/SerialFlowControlCommand.h"
#include "Serial/Events/SerialEchoEvent.h"
#include "Serial/Events/SerialFlowControlEvent.h"

// Main unit

#include "Analyser/Commands/AnalyserModeCommand.h"
#include "Analyser/Events/AnalyserFftMonoEvent.h"
#include "Analyser/Events/AnalyserFftStereoEvent.h"
#include "Analyser/Events/AnalyserModeEvent.h"
#include "Analyser/Events/AnalyserPeaksMonoEvent.h"
#include "Analyser/Events/AnalyserPeaksStereoEvent.h"
#include "Analyser/Events/AnalyserWaveformMonoEvent.h"
#include "Analyser/Events/AnalyserWaveformStereoEvent.h"

#include "AudioInput/Commands/AudioInputIndexCommand.h"
#include "AudioInput/Commands/AudioInputInfoCommand.h"
#include "AudioInput/Commands/AudioInputListCommand.h"
#include "AudioInput/Commands/AudioInputPcUsbCommand.h"
#include "AudioInput/Events/AudioInputIndexEvent.h"
#include "AudioInput/Events/AudioInputInfoEvent.h"
#include "AudioInput/Events/AudioInputListEvent.h"
#include "AudioInput/Events/AudioInputPcUsbEvent.h"

#include "AudioOutput/Commands/AudioOutputBalanceCommand.h"
#include "AudioOutput/Commands/AudioOutputFadeCommand.h"
#include "AudioOutput/Commands/AudioOutputMuteCommand.h"
#include "AudioOutput/Commands/AudioOutputVolumeCommand.h"
#include "AudioOutput/Events/AudioOutputBalanceEvent.h"
#include "AudioOutput/Events/AudioOutputFadeEvent.h"
#include "AudioOutput/Events/AudioOutputMuteEvent.h"
#include "AudioOutput/Events/AudioOutputVolumeEvent.h"

#include "Bluetooth/Commands/BluetoothSlotCommand.h"
#include "Bluetooth/Commands/BluetoothNameCommand.h"
#include "Bluetooth/Commands/BluetoothNextTrackCommand.h"
#include "Bluetooth/Commands/BluetoothPauseCommand.h"
#include "Bluetooth/Commands/BluetoothPinCommand.h"
#include "Bluetooth/Commands/BluetoothPinEnableCommand.h"
#include "Bluetooth/Commands/BluetoothConnectionCommand.h"
#include "Bluetooth/Commands/BluetoothPlayCommand.h"
#include "Bluetooth/Commands/BluetoothPlayModeCommand.h"
#include "Bluetooth/Commands/BluetoothPrevTrackCommand.h"
#include "Bluetooth/Commands/BluetoothSerialEchoCommand.h"
#include "Bluetooth/Commands/BluetoothSerialTransmitCommand.h"
#include "Bluetooth/Commands/BluetoothStopCommand.h"
#include "Bluetooth/Commands/BluetoothTrackInfoCommand.h"
#include "Bluetooth/Events/BluetoothSlotEvent.h"
#include "Bluetooth/Events/BluetoothAlbumEvent.h"
#include "Bluetooth/Events/BluetoothArtistEvent.h"
#include "Bluetooth/Events/BluetoothConnectionEvent.h"
#include "Bluetooth/Events/BluetoothNameEvent.h"
#include "Bluetooth/Events/BluetoothPinEnableEvent.h"
#include "Bluetooth/Events/BluetoothPinEvent.h"
#include "Bluetooth/Events/BluetoothPlayModeEvent.h"
#include "Bluetooth/Events/BluetoothSerialEchoEvent.h"
#include "Bluetooth/Events/BluetoothSerialReceiveEvent.h"
#include "Bluetooth/Events/BluetoothSerialTransmitEvent.h"
#include "Bluetooth/Events/BluetoothTitleEvent.h"
#include "Bluetooth/Events/BluetoothTrackTimeEvent.h"

#include "Clock/Commands/ClockDatetimeCommand.h"
#include "Clock/Commands/ClockTickModeCommand.h"
#include "Clock/Events/ClockDatetimeEvent.h"
#include "Clock/Events/ClockTickModeEvent.h"

#include "Effects/Commands/EffectsPlayCommand.h"
#include "Effects/Events/EffectsCompleteEvent.h"

#include "Equaliser/Commands/EqualiserFrequenciesCommand.h"
#include "Equaliser/Commands/EqualiserLevelsCommand.h"
#include "Equaliser/Commands/EqualiserOnCommand.h"
#include "Equaliser/Events/EqualiserFrequenciesEvent.h"
#include "Equaliser/Events/EqualiserLevelsEvent.h"
#include "Equaliser/Events/EqualiserOnEvent.h"

#include "Power/Commands/PowerAccessoriesCommand.h"
#include "Power/Commands/PowerBatteryCommand.h"
#include "Power/Events/PowerAccessoriesEvent.h"
#include "Power/Events/PowerBatteryEvent.h"

#include "Radio/Commands/RadioSlotCommand.h"
#include "Radio/Commands/RadioBandCommand.h"
#include "Radio/Commands/RadioBandListCommand.h"
#include "Radio/Commands/RadioFrequencyCommand.h"
#include "Radio/Commands/RadioRdsCommand.h"
#include "Radio/Commands/RadioSeekDownCommand.h"
#include "Radio/Commands/RadioSeekUpCommand.h"
#include "Radio/Commands/RadioSignalStrengthCommand.h"
#include "Radio/Commands/RadioStereoCommand.h"
#include "Radio/Commands/RadioStatusUpdateCommand.h"
#include "Radio/Events/RadioSlotEvent.h"
#include "Radio/Events/RadioBandEvent.h"
#include "Radio/Events/RadioBandListEvent.h"
#include "Radio/Events/RadioFrequencyEvent.h"
#include "Radio/Events/RadioRdsEvent.h"
#include "Radio/Events/RadioSignalStrengthEvent.h"
#include "Radio/Events/RadioStereoEvent.h"
#include "Radio/Events/RadioStatusUpdateEvent.h"

#include "System/Commands/SystemAcknowledgeCommand.h"
#include "System/Commands/SystemListCommand.h"
#include "System/Commands/SystemStatusCommand.h"
#include "System/Commands/SystemVersionCommand.h"
#include "System/Events/SystemAcknowledgeEvent.h"
#include "System/Events/SystemListEvent.h"
#include "System/Events/SystemLogEvent.h"
#include "System/Events/SystemStatusEvent.h"
#include "System/Events/SystemVersionEvent.h"

// Front panel

#include "Button/Events/ButtonDownEvent.h"
#include "Button/Events/ButtonHeldEvent.h"
#include "Button/Events/ButtonPressedEvent.h"
#include "Button/Events/ButtonUpEvent.h"

#include "Encoder/Events/EncoderChangedEvent.h"

#include "Led/Commands/LedLevelsCommand.h"
#include "Led/Events/LedLevelsEvent.h"

#include "Ui/Commands/UiVisFullScreenCommand.h"
#include "Ui/Commands/UiVisModeCommand.h"
#include "Ui/Events/UiVisFullScreenEvent.h"
#include "Ui/Events/UiVisModeEvent.h"

#include "Settings/Commands/SettingsReadCommand.h"
#include "Settings/Commands/SettingsWriteCommand.h"
#include "Settings/Commands/SettingsItemCommand.h"
#include "Settings/Commands/SettingsRemoveCommand.h"
#include "Settings/Events/SettingsReadEvent.h"
#include "Settings/Events/SettingsWriteEvent.h"
#include "Settings/Events/SettingsItemEvent.h"
#include "Settings/Events/SettingsListCompleteEvent.h"
#include "Settings/Events/SettingsRemoveEvent.h"

